Package org.eclipse.emf.cdo.spi.common.revision

# Class RevisionInfo.Available.Normal

java.lang.Object
org.eclipse.emf.cdo.spi.common.revision.RevisionInfo
org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available
org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available.Normal

Enclosing class:
  `RevisionInfo.Available`

public static class RevisionInfo.Available.Normal extends RevisionInfo.Available
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Extend
  This class is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available

`RevisionInfo.Available.Detached, RevisionInfo.Available.Normal, RevisionInfo.Available.Pointer`

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

`RevisionInfo.Available, RevisionInfo.Missing, RevisionInfo.Type`

## Constructor Summary

Constructors
Constructor
Description
`Normal(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)`

## Method Summary

Modifier and Type
Method
Description
`InternalCDORevision`
`getResult()`
`RevisionInfo.Type`
`getType()`
`void`
`processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)`

### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo.Available

`getAvailableBranchVersion, isDirect, isLoadNeeded, readRevision, write, writeRevision`

### Methods inherited from class org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

`doReadResult, doWriteResult, execute, getID, getRequestedBranchPoint, getSynthetic, read, readResult, readResult, setResult, setSynthetic, toLongString, toString, writeResult, writeResult, writeResult, writeResult, writeResult, writeRevision`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Normal

public Normal(CDOID id, CDOBranchPoint requestedBranchPoint, CDOBranchVersion availableBranchVersion)

## Method Details

### getType

public RevisionInfo.Type getType()

Specified by:
  `getType` in class `RevisionInfo`

### getResult

public InternalCDORevision getResult()

Overrides:
  `getResult` in class `RevisionInfo`

### processResult

public void processResult(InternalCDORevisionManager revisionManager, List<CDORevision> results, SyntheticCDORevision[] synthetics, int i)

Overrides:
  `processResult` in class `RevisionInfo`